/*
 * QTMainWindow.hpp
 *
 *  Created on: Jan 14, 2010
 *      Author: crueger
 */

#ifndef QTMAINWINDOW_HPP_
#define QTMAINWINDOW_HPP_

#include "UIElements/MainWindow.hpp"
#include <Qt/qmainwindow.h>

class QLabel;
class StringView;
class QTMenu;

class QTMainWindow : public QMainWindow, public MainWindow
{
  Q_OBJECT

public:
  QTMainWindow(menuPopulaters populaters,MoleculeListClass *molecules, config *configuration,
               periodentafel *periode, char *ConfigFileName, QApplication *_theApp);
  virtual ~QTMainWindow();

  virtual void display();

private:
  // All kinds of QTStuff used in this window
  QApplication *theApp;
  QLabel *moleculeDisplay;
  QTMenu *editMoleculesMenu;

  // All kinds of internal stuff that is bridged to QT
  StringView *moleculeView;

};

#endif /* QTMAINWINDOW_HPP_ */
